{ pkgs, fullname, email, ... }:
{

  # Password Store

  programs.password-store = {
    enable = true;
    package = pkgs.pass.withExtensions
      (exts: with exts; [ pass-update pass-file pass-otp ]);
  };

  # MPV

  programs.mpv.enable = true;
  programs.mpv.scripts = with pkgs.mpvScripts;
    [ autoload mpris reload seekTo thumbnail quality-menu ];

  programs.mpv.config = {
    osc = false;
  };

  # Git

  programs.git = {
    enable = true;

    signing.key = "6CB106C25E86A9F7";
    signing.signByDefault = true;

    settings = {
      user.name = fullname;
      user.email = email;

      github.user = "tokinanpa";
      credential.helper = "store";
      safe.directory = [ "/etc/nixos" ];
      git.allowForcePush = true;
      push.followTags = true;
      init.defaultBranch = "main";
    };

  };

  programs.delta = {
    enable = true;
    enableGitIntegration = true;

    options = {
      features = "decorations";
      relative-paths = true;

      decorations = {
        file-style = "yellow";
        hunk-header-style = "line-number syntax";
      };
    };
  };
}
